The SML of NJ Library
The `GenUUID` structure

The `GenUUID` structure implements a generator for random (Variant 1, Type 4) UUIDs. The random number generator is seeded by the current time.

## Synopsis

    structure GenUUID

## Interface

    val new : unit -> UUID.t

## Description

`val new : unit -> UUID.t`

  `new ()` generates a new Variant 1, Type 4 UUID.

## See Also

`UUID`, The UUID Library

SML/NJ Version 110.99.3 (August 1, 2023)
Last updated 2023-07-31 17:59:01 UTC